Overview
Top Next

FASTbook 5.0 Invoice

The FASTbook Invoice allows you to easily control the many aspects of client billing. You are able to set up payment terms, design custom line items, track payments made, and adjust the final total. FASTbook Invoicing also delivers the ability to produce one or more invoices per event, with financial accounting controls. These controls include Draft, Final and Void status, adding and manipulating additional charges, and accounts receivable transactions.

FASTbook also allows you to not only print your invoices, but email them or save them to a file in formats such as PDF, HTML, and others. Several invoice features are also available in the financial tab of Event Detail for easier and faster access.

You can access the invoice module from main button bar by clicking on the button labeled Invoicing invoicingbutton or by double clicking on an invoice in the Invoice Grid in the Event Detail financial tab's Invoices tab. You can access the Invoices tab on the right side of the Financial tab as seen below.


Invoicing Form
Previous Top Next

The main Invoice Form allows you to get to the different areas of an invoice, as well as the Invoice setup.

Across the top are buttons to save, cancel or print the invoice you are currently working on. There are also two labels. Current Invoice and Current Event. These tell you what invoice is currently active and what event is associated with that invoice.

When the Save button is enabled you can save any changes you have made, thus making them permanent. Similarly, when the Cancel button is enabled you may cancel any changes you have made since the last save. The Print button will print the invoice you are currently working on.

Below the buttons are five tabs that will take you to different areas of the invoice. Not all tabs are always available as some require you to have a current invoice to work with. When no invoices have been created, no invoice has been selected, or you are working with multiple invoices, for instance to print, you will not be permitted to enter the middle three tabs. These tabs are only used to edit or view a single invoice.

The Invoices tab is a general overview of the invoices you have in the system.

The Invoice Header tab is the main header information for a single invoice, such as who the client is, when its due, etc.

The Invoice Details tab is a list of charges that will be applied to that invoice.

The Preview tab is an on-screen printout of what your invoice will look like when it is printed (or emailed or saved to file.)

The Invoice Setup tab allows you to view and change your FASTbook Invoicing setup.

The Invoice Form is a child form of the main FASTbook window. This means that once in the Invoice Form you can press CTRL-TAB to switch between other child forms, that is the Event Detail form and the Calendar Form. This may expedite switching from the Invoice Tab to Event Detail / Calendar when information is sought.


Invoices Tab

The Invoices tab allows you to do general tasks with invoicing or work with multiple invoices at one time.

From this tab you can print multiple invoices, void or finalize multiple invoices, create invoices by batch, or work with a single invoice.

The top left button with the print icon multiprintbutton can be used to either print the current invoice in the grid (designated by the black arrow pointing at the row) or all invoices that are checked in the grid. By pressing the drop down portion of the button you can print multiple invoices at once. The following menu will appear.

With this menu you can print all the invoices that have yet to be printed, all the invoices that were created today, or all the invoices that have been modified today. Use this with care as the system will indeed print all invoices that fall into its category. As a precaution, you will be prompted as to whether or not you really want to do this.

Answering "No" to any of the confirmations will cancel printing.

The next button, Create createbutton, will take you into the Invoice Header tab to begin creating of a new invoice. You can alternatively use the drop down on the Create button to get the following menu.

With this menu you can create multiple invoices at the same time based on criteria you select. You can do this based on an event number range or a date range. After you select one of these options you will be taken to the Batch Invoice Form.

The Void button voidbutton will allow you to void all invoices that are checked. You will be prompted as to whether or not you really want to void the invoices and the number of items you have selected.

Choosing "Yes" will proceed with the void. Choosing "No" returns you to the Invoices Tab. When voiding you are always prompted for a reason why. This is saved in the invoice and can be reported on at a later time. The input screen looks like this.

If you decide to cancel the void reason your void is also canceled and you are presented with the following message.

Upon successfully entering in a void reason, your invoice will be voided. All payments that were assigned to that invoice item will be set as unassigned (meaning not assigned to any invoice) and all items that were on that invoice will be available for any new invoices created for the event. Void invoices will have a watermark that reads "Voided Invoice Do Not Pay" unless this feature has been disabled in Invoice Setup.

The next button, Edit editbutton, will take you to the Invoice Header tab and allow you to start editing the currently selected invoice. Clicking this will mark the invoice you have selected as the current working invoice and take you to the Invoice Header tab.

The next is Finalize finalizebutton. This button will Finalize all checked invoices. You will be prompted as to whether or not you really want to finalize the invoices and the number of items you have selected.

Choosing "Yes" will proceed with the finalizing; choosing "No" will return you to the Invoices Tab.

Once an invoice is finalized it enters a read-only state and charges may not be added, changed or removed from the invoice. Final invoices have no watermark on their printouts.

If you click the drop down on the Finalize button you will see the Return to Draft option. printbutton-expanded This lets you return an invoice to its Draft state to allow editing again.

Choosing "Yes" will proceed with the action. Choosing "No" will return you to the Invoices Tab.

Below the buttons, is the client filter for the invoices grid. If you wish to only see the invoices that pertain to a certain client, you can select the client in the drop down list and the grid will refresh accordingly. To show all clients again simply click the Show All button or click in the client name box and delete the name.

The bottom portion, and the majority of the tab, is the invoices grid. This grid allows you to select an active invoice by clicking on the row and pressing the Edit button or by double clicking the row you wish to work with. When multiple invoices are selected (checked) this features is disabled.

Invoices created today are blue bolded for easy visibility.


Batch Invoice by Date Range

Invoices can be generated in batches based on specified criteria. The Batch Invoice Form can be accessed by clicking either of the two menu items in the Create button's drop down list. To create invoices based on a date range click the first item labeled "For All Events By Date Range"

After clicking the menu item you will be taken to the Batch Invoice Form for date range.

The first two input boxes will ask for the date from which you want to start your search to the date you wish to end your search. The search will include both the From and To dates that were specified. For example if you searched from July 1st to July 15th, any events on the 1st and the 15th would be included as well. When entering in dates you can either type in the date you wish or select the drop down button which will present you with a date picking calendar.

You can also narrow your search by specifying any of the following criteria.

Once all your criteria has been entered you can press the OK button to start your batch invoice generation. If you decide to not create a batch at this time you can also click on the Close button.

After you have started the batch an hourglass icon will appear while the information is processed. If items matching your criteria were found, invoices will be made for each of them. A dialog box will appear and inform you of how many items were created. Clicking OK on this will take you back to the Invoices Tab. Remember items created today are blue bolded to make them easier to find.

If nothing was available based on your criteria the following screen will display.

This means no invoices were created. You can try again if you would like by selecting different criteria and running a batch again.


Batch Invoice by Event Number Range

Invoices can be generated in batches based on specified criteria. The Batch Invoice Form can be accessed by clicking either of the two menu items in the Create button's drop down list. To create invoices based on an event number range, click the second item labeled "For All Events By Number Range"

After clicking the menu item, you will be taken to the Batch Invoice Form for a number range.

The first two input boxes will ask for the event number from which you want to start your search to the event number you wish to end your search. The search will include both the From and To event numbers that were specified. For example if you searched from event number 10 to event number 20, then events 10 and 20 will be included in your search. You can select the event numbers by using the drop down in the event number fields.

You can also choose to only search for subevents that start and end within a time range specified. So even though you want to make items for all events that fall into your event number range you may only want to look for subevents that have a certain start date. To use this feature first click the check box labeled "Only for subevents that fall within this range," then select your date range using the input boxes. The search will include both dates that were specified. For example if you searched from July 1st to July 15th, any events that fall into your event number range and are on the 1st and the 15th would be included as well. When entering in dates you can either type in the date you wish or select the drop down button which will present you with a date picking calendar.

You can also narrow your search by specifying any of the following criteria.

Once all your criteria has been entered you can press the OK button to start your batch invoice generation. If you decide to not create a batch at this time you can also click on the Close button.

After you have started the batch an hourglass icon will appear while the information is processed. If items matching your criteria were found, invoices will be made for each of them. A dialog box will appear and inform you of how many items were created. Clicking OK on this will take you back to the Invoices Tab. Remember items created today are blue bolded to make them easier to find.

If nothing was available based on your criteria the following screen will display.

batchinvoicenoitems

This means no invoices were created. You can try again if you would like by selecting different criteria and running a batch again.


Invoice Header Tab

The Invoice Header tab allows you to specify top-level information about the invoice. Here you will specify which event you are working with, which client, the start and end dates of the invoice, how you want the invoice to print, and other common values.

The first pieces of information needed for creating any invoice are the client and which event of that client you wish to bill for. The top most section of this form lets us choose these. First select a client from the drop down list. Then select an event number from the drop down list. If you wish to only create items for a certain date range of that event, click the "Only Subevents in this range" option and select a start and an end date. This will restrict the billing for only subevents that fall into that range. It will include the start and end dates as well. For example, if you select event number 50, check the "Only Subevents in this range" option, and then select a start date of 1/1/2004 and an end date of 1/10/2004, FASTbook would create an invoice with items that were on the first (1/1/2004) and items that were on the 10th (1/10/2004) and any items in between. Once you have selected the criteria you wish to use, press the Create button. This will assign the event number to the invoice and begin invoice creation. During invoice creation the following happens:
· All unbilled items, in your selected range, are assigned to this invoice.
· All unassigned payments are assigned to this invoice.
· If this is the first invoice for this event, all the charges you have set as default will be created for this invoice.

If nothing was available to be assigned to a new invoice, you will see this dialog box.

If an invoice was created, FASTbook will enable the rest of the window for you to further edit the invoice if necessary.

Every invoice by default is labeled as "Invoice." This can be changed to say "Credit Memo", "Settlement", "Pro Forma Invoice", or whatever you desire. This is on a per invoice basis. If you change the title for this invoice, the next invoice you create will again be titled "Invoice" and will need to be changed again if needed.

There are three options for invoice numbers.
1. You can use the event number as the invoice number.
2. You can use a system generated invoice number.
3. You can type in your own invoice number for every invoice.

If you elected to use the first choice, remember that this will limit the number of invoices per event to one, unless you implement using a hyphen and a revision number, or sequence number, after the event number. For instance, event number 50 will have its first invoice with the number 50 and its second invoice with 50-1 or 50_1 to prevent having two invoices with the same number in the system. Caution must be taken when using this method.

If you elect to use the second option, then a system generated number will be used for each new invoice. System generated numbers start at a base number and increment one number for every new invoice. System generated invoice numbers are the most ideal solution as they assure traceability for every invoice.

If you elect to use the third option, typing in your own invoice number, then FASTbook will use your number as the invoice number. If you are managing your own number list, make sure you have a method of keeping track of what has been used and for what, so as to not use the wrong invoice number on the wrong event or any similar issues.

The invoice status follows the Invoice number. Invoice status specifies how an invoice should be treated. All new invoices are first created with a status of Draft. Draft invoices are still in a working mode and can have charges assigned, charges removed, be recalculated, and have values changed. Once a draft invoice will need no more changes made and is ready to be released to a client, it is marked Final. Final invoices cannot be edited. They have no watermark on their printout as well. This will prevent any accidental changes to an invoice that has been sent to a client. When an invoice is finalized and if the option is selected in setup, a payment record will be generated of the type "Invoice." It will be created for the balance due of the invoice. The charges of final invoices will show up in the invoice totals section of the Event Detail form. Final Invoices are generally never edited again. This is due to the fact that once an invoice is Final it has most likely been sent to a client. If a finalized Invoice must be edited again, you can do so with the Return To Draft feature on the Invoices Tab, or by simply selecting Draft from the Invoice Status drop down. The last status is Void. Void means the invoice has been nullified. All payments assigned to that invoice go back into the general pool of available payments and all items are again available for new invoice creation. Void invoices bear a watermark stating their status. Void invoices can only be unvoided by the system Supervisor. This is NOT recommended as the items that were assigned to it have been disassociated and returned to the general pool of available items. If you must unvoid an invoice do so only to change header information and then revoid the invoice.

The remainder of the screen contains general information about the Invoice. Here you can enter the following information:

· Remit To Address - This is the address you wish your client to reply to when inquiring or paying this item. This will default to the facility's address. You can use preset addresses by clicking on the drop down next to the edit box.
· Notify Person - This is the user in FASTbook you wish them to direct their inquiries to. This defaults to the event's coordinator.
· Statement Date - This is the date the invoice was created. This defaults to today's date.
· Payment Due Date - This is the date that payment on the invoice is due. This is calculated based on the payment terms.
· Payment Terms - These are the terms for this invoice. This is defaulted based on the payment terms assigned to the client you selected for the invoice.
· The PO Number - This is the PO number associated with this invoice. This is defaulted to the PO Number designated in Event Detail.
· Print Payment Information - This indicates whether or not you want to print payment information, if available, for this invoice.
· Print Section Breakout - This indicates whether or not you want to print a section breakout after each resource section on the invoice printout.
· Print Detail - This indicates whether or not you want to print a detail list of each item for every resource on the invoice printout.
· Print Event Information - This indicates whether or not you want to print basic event information at the top of the invoice printout.

invoiceheaderbottomleft

· Bill To Address - This is the address of your client to which you will be sending this invoice. It defaults to either the contact or client address depending on which option you have set in Invoice Setup.
· Attention - This is the person at the Bill To address to whom's attention it will be made.
· Special Terms / Custom Invoice Note - This is a custom note for this invoice that will print at the top of the invoice printout.
· Contract Number - This is the contract number associated with this event. It will default to the contract number that was entered in Event Detail.
· Footer - This is the invoice footer for this invoice. It will appear at the bottom of every page of the invoice printout. It defaults to the default invoice footer you have selected in Invoice Setup.
invoiceheaderbottomright

Once all information has been entered as you would like it, you can save your changes by pressing the check mark button at the top of the form. If you attempt to leave the tab before you have saved your changes you will be prompted as to whether or not you wish to do so.

At the bottom of this form is a button labeled "Recalculate all Items". This can be used on Draft Invoices to remove all items (payment records, resource charges, and additional charges / discounts / taxes) and then add everything available onto the invoice. This may be necessary to show charges that have been added or changed since you first created the invoice.

Note:
When editing the Remit To, Bill To, Special Terms, and Footer fields, you can right click in the edit box and access the following menu.

These options will assist you in editing Rich Text fields. The Edit option will bring you into a Rich Text editor that will look like the following image.

After you are satisfied with what you have written you can close out and save your changes. This is included to add some ease of use and familiarity when entering information in Rich Text Format (RTF.)


Invoice Details Tab

The Invoice Details tab is used to assign and unassign charges to an invoice. Here all available charges for this invoice are listed in a tree format with a check box in front of each. You can check or uncheck those charges you wish to bill or not bill.

When you first enter the Invoice Details tab you will see all charges available for this invoice. If you have not selected the option to initially collapse the tree you will see a list of all items for the invoice. If you have chosen the option to initially collapse the tree you will only see the sum of the various type of charges, such as the picture below.

Deferring billing is very simple with this invoice. To defer an item you simply uncheck it. If, for instance, you wanted to defer billing of room and equipment charges you would simply uncheck both Room Charges and Equipment Charges and then save. Your Invoice would look similar to the following.

In the image below, some rooms have been checked and some rooms have been unchecked. Only checked items will be billed on this invoice. The right column labeled Total Charge will show the effective charge for that item on this invoice. Unchecked items will have an effective charge of zero since they will not be billed. In the Total Charge column, bold indicates a strictly summation field, and blue indicates the effective Event Total Charge for this invoice. Unchecking an item will uncheck any "child" items under it on the tree. Alternately, checking an item will check all its "child" items in the tree.

For easy viewing an item that has "child" items can be collapsed by clicking the triangle button in front of the item. This will effectively hide all its children until you wish to display them by clicking the triangle button again. You can also hide and unhide "child" items by double clicking the line.

The controls on the bottom are used for adding and removing charges from the invoice. Select the Charge / Discount / Tax you wish to add from the drop down list and press the Add Charge / Discount / Tax button. To remove a charge highlight the charge by clicking it in the tree view and press the Remove Charge / Discount / Tax button.

whole bottom section

Also, at the bottom of the form is a "Recalculate All Items" button. This can be used on Draft Invoices to remove all items (payment records, resource charges, and additional charges / discounts / taxes) and then add everything available back onto the invoice. This will be necessary to show charges that have been added or changed since you first created the invoice.


Adding and Removing Charges

At the bottom of the screen are some controls you can use to add or remove charges, discounts and taxes to the items on the tree.

whole bottom section

You can add a charge / discount / tax at any level of the event. You may add it the to entire event by first selecting the event item designated with the star star icon, and then clicking the Add Charge / Discount / Tax button. You may add it to a group of resources, such as all Room Charges by selecting the Room Charges item and then adding the charge. You can also add a charge to only a single resource such as one room by selecting that room and then adding a charge. When adding a charge, simply select the charge from the drop down and then click "Add Charge / Discount / Tax."

Charges can be removed by selecting the charge you wish to remove and clicking the "Remove Charge / Discount / Tax" button.

The following images depict charges added at the different levels of the event.

Here is a charge added to the top most level, the Event level. Event level charges are put under header items that declare the type of charge. This charge was a tax and is added to the Taxes item.

The next charge was added to only Room Charges. There is no Taxes item on any thing other than the event level item. All charges that appear on any other level will not have a header category such as Taxes. They will just be put under the item. This is to save screen space and reduce on screen clutter.

This last image is a charge that was added only to a specific item. In this case, the item is a room.

Some charges are not always the same for every invoice and may need to be edited. Rather than forcing you to create a new charge for each invoice, FASTbook allows you to edit the charge for only that invoice. This will leave your default charge's value to the value you have in setup and assign a new charge for only this invoice. Also, you can rename a charge for only this invoice as well. For example, there is a charge in setup called "Generic Fee." It is used as a catch-all fee to be added to events. The name and amount of this fee change for nearly every event. For this event we will change it to reflect a "Renamed Fee for this event" and change its default charge from 25 dollars to 55 dollars.

First we add the "Generic Fee" charge.

Then by clicking in the name field will highlight that field. Clicking once more we are taken into an edit box for that charge name. "Renamed Fee for this event" is typed over "Generic Fee."

Then the same is done for the Total Charge field. Click in once to highlight, then a second time to indicate we wish to change that field.

After we have the new values we want we can save or simply click out of the field to make our changes permanent. While editing you can press ENTER to keep your changes or ESCAPE to cancel them. Charges for rooms, equipment, meals, and labor may not be changed here. Those must be changed in Event Detail.


Preview Tab

The Preview Tab is used to view the Invoice printout before you decide to print or email it. This form works like most other preview screens you have used. You can scroll through the various pages of the printout, zoom in or out of the printout, and print or email the printout.

The tool bar at the top allows you to interact with the on-screen printout. From the left the controls are Print, First Page, Prior Page, Current Page Number, Next Page, Last Page. The zoom buttons are then Fit to Whole Page, Fit to Page Width, and Fit to 100%.

The last button is used to email the printout.

When you click the email button you can, instead of printing the invoice, send it electronically to its recipient.


Emailing an Invoice

You may wish to electronically transfer your invoice rather than printing a copy and sending it through the post.

By clicking the Email button mail icon you are presented with a small dialog window. This allows you to select which of the contacts associated with your client you want to send the email to. Only those contacts with email addresses will appear in the list. You can also type into the list any email address you want, if you need something other than what the list provides.

The subject and body fields will default to what you have set in Invoice Setup. The subject will go in the subject line of the email and the body will appear in the body line. In addition, your invoice will be attached to the email in PDF format. Make sure you have all your email settings set in FASTbook Setup before attempting to use this feature.

To improve useability FASTbook provides a quick method to email the invoice. If the client contact of the event you are working with has an email address assigned and the default subject and body are acceptable, you can click the drop down on the email button and select the menu item starting with "Send to" and then the contact's name and email address. Using this option it will not prompt you for an email address, subject or body for your email. Once clicked it will just send the PDF.

If there is no email address assigned to the client contact for the event you are working with then this option will not be available. Clicking the drop down on the Email button will result in a disabled menu item labeled "Send to <no email assigned>".


Invoice Setup Tab

Invoice Setup is the first area of Invoicing that should be visited. This is where all the default values and options are set that will allow the invoice to function in the desired manner.

Invoice Setup has three sections: Charges / Discounts / Taxes, Payment Terms, and Invoice.

Charges / Discounts / Taxes are the charges that may be added to an invoice. Miscellaneous fees, state taxes and return customer discounts are all examples that would fit into this category.

Payment Terms are the rules by which you expect those you bill to return payment to you. Net 30 or Pay-on-delivery would fall into this category.

The last tab in Invoice Setup is simply labeled Invoice. This holds all the options for Invoicing. From this tab the invoice creation process and invoice printout can be tailored to achieve a number of desired results.


Charges / Discounts / Taxes

In addition to regular resource charges (room, equipment, meals and labor,) fees and discounts may need to be applied during billing. This tab is for those fees. Charges increase the amount of the invoice, while discounts decrease it. Taxes, though a subset of charges, are specified separately due to their nature. Taxes usually require special reporting and are generally calculated last.

At the top of the tab is a navigator. This allows you to scroll forward and backward through the records. You can also insert, delete, save changes or cancel changes. The buttons from left to right are:

First Record, Prior Record, Next Record, Last Record, Insert Record, Delete Record, Save Changes, Cancel Changes

Buttons on the navigator will become disabled (grayed out) when they are not available for use.

The next section will indicate the creation and last updated time and date of the current item. Also, you can see who performed the creation or updating.

The body of the tab contains general information about the charge / discount / or tax.

The information collected here is:
· Rate Type - This is the type of rate. Charges will increase the amount of the invoice. Discounts will decrease the amount of the invoice. Taxes will also increase the amount of the invoice, but are categorized separately then charges.
· Name - This the unique name of this item.
· Description - This is a more detailed description of the item.
· Accounting Code - This optional field holds the accounting code of the item.
· Sort Order - This is the sort order of the item. All charges are calculated from the smallest sort order to the largest. Charges before Discounts which are before Taxes. For instance, a charge with a sort order of 1 will calculate before a charge with a sort order of 3. A discount with a sort order of 1 will calculate after a charge with a sort order of 5, but before a tax with a sort order of 1. This should allow for precise ordering of calculations.
· Inactive - When checked, this item becomes inactive. This will prevent it from showing in drop down lists.
· Taxable - This marks this item as taxable. Some items are exempt from tax. If an item is exempt from tax simply uncheck this box.
· Amount - This is the amount of the item.
· Percent Rate - A percent rate is the decimal equivalent of the rate. For example 25 percent is .25. If 25 was entered in the field then the charge would be 2500% of the original cost. Take care when assigning these. The percent is based on the net total up to the point the percent rate is applied.
· Flat Rate - A flat rate is a rate that does not depend on any other calculations. These rates are static. A flat rate of $25.00 will always be $25.00 on any invoice (unless of course it is overridden for that invoice).
· Defaults - Charges / Discounts / Taxes can be automatically added to an invoice at creation time. This can ease data entry for frequently used items. Default charges are added to the first, and only the first, invoice created for an event. At that time, the event is marked as having already received automatic charges and any invoice after that will need to have charges manually added.

· Apply To Rooms - These items will automatically add to the Room Charges section of the invoice.
· Apply To Equipment - These items will automatically add to the Equipment Charges section of the invoice.
· Apply To Meals - These items will automatically add to the Meal Charges section of the invoice.
· Apply To Labor - These items will automatically add to the Labor Charges section of the invoice.
· Apply To Entire Event - These items will automatically add to the Event section of the invoice. If Apply to Entire Event is checked all other defaults will deselect. This is to avoid double charging.

Once a Charge / Discount / Tax has been used on an Invoice they can not be deleted from the system. If they will no longer be used they can be marked as inactive to prevent them from appearing in drop down boxes. This is done to preserve system integrity for Charges / Discounts / Taxes that are currently being referenced.

At the bottom of the tab is a grid that shows all Charges / Discounts / Taxes in the system. This is used to easily move from one item to another. If you click on the item in the grid you wish to work with, the fields in the body of the tab will switch to the values for that item and are ready to be modified.


Payment Terms

Payment Terms, the rules by which you expect payment for your invoices, are easily setup in this tab. An example of a standard term is "Net 30". "Net 30" indicates there will be no discounts for early payment and payment is due in 30 days.

At the top of the tab is the Payment Terms navigator. This allows you to scroll forward and backward through the records. You can also insert, delete, save changes or cancel changes. The buttons from left to right are:

First Record, Prior Record, Next Record, Last Record, Insert Record, Delete Record, Save Changes, Cancel Changes

Buttons on the navigator will become disabled (grayed out) when they are not available for use.

Near the top of the tab are the creation and last updated date of the term, along with which user performed the creation or updating. The body of the tab contains the general information for the term.

The fields here are as follows:

· Name - This is the unique name of the Payment Term, such as "Net 30."
· Description - This is a more detailed description of the Payment Term.
· Number of Days - This is the number of days before or after the Base Date that you want this to take effect.
· Before or After - This indicates whether you will count your number of days before or after the Base Date.
· Base Date - This is the date you want to base the calculation on. Available choices are Invoice Statement Date, Event Start Date, or Event End Date.

Once a Payment Term has been used on a Client Category, Client, or Invoice they can not be deleted from the system. If they will no longer be used they can be marked as inactive to prevent them from appearing in drop down boxes. This is done to preserve system integrity for Payment Terms that are currently being referenced.

At the bottom of the tab is a grid that shows all Payment Terms in the system. This is used to easily move from one item to another. If you click on the item in the grid you wish to work with, the fields in the body of the tab will switch to the values of that item and are ready to be modified.


Invoice

The Invoice tab holds all the general settings for the Invoice system. Here options can be selected or deselected to tailor the Invoice system to function as desired. These settings work for all of FASTbook and should be considered global options.

Below is an image of the tab. Next to each option is a number and each number is explained below.

1. Show Event Information on Invoice - This designates whether or not to show general event information on the event, such as Event Name, Attendance, Sales Person, and Ticket Totals.
2. Show Print Count On Invoice - When enabled, this will tell the invoice to write the number of times the invoice has been printed at the top of the invoice. This only prints for the second and greater printings. The first printout will not show the number printed. This is only for printings subsequent to the first.
3. Show Accounting Codes - This tells the invoice to print account codes next to item names. For Equipment , Meals, and Labor, the account code will take the place of the room name field on the invoice printout.
4. Show Footer on Invoice - This designates whether or not the footer will print on the bottom of each invoice.
5. Show User Notification on Invoice - This tells the invoice to print the notification person at the Remit To address on the invoice. The notification person is defaulted to the Event Coordinator.
6. Show Contact on Invoice - This tells the invoice to print the contact name on the invoice below the Bill To. It is labeled as "Attention."
7. Default to Totals Breakout - When this is checked, all new invoices will be defaulted to show a section breakout. This can be disabled on individual invoices.
8. Default to Show Payment History - When this is checked, all new invoices will be defaulted to show payment history for the invoice. This can be disabled on individual invoices.
9. Default to Detail Print - When this is checked, all new invoices will be defaulted to show resource details. This can be disabled on individual invoices.
10. Default to Contact Bill To - When this is checked, all new invoices will be defaulted to the Contact Bill To rather than the Client's. This can be overridden on individual invoices.
11. Invoice Footer - This is the default Invoice footer for new invoices. Once a new invoice has been created, the footer can be edited for that invoice.
12. Allow Values of Zero - When this is checked, charges with a value of $0.00 (zero dollars) will be added to new invoices as line items.
13. Use Overlay for Void and Draft Invoices - (Recommended Option) When this is checked, all Void and Draft invoice will bear a watermark on their printout and print preview. This can prevent the accidental sending of invalid invoices. Draft invoices will state "Review Copy Do Not Pay", while Void invoices will state "Voided Invoice Do Not Pay."
14. Use System Generated Invoice Number - The tells new invoices to use a system generated invoice number by default. This option can not be used in conjunction with "Use Event Number as Invoice Number". One or the other or neither must be used.
15. Use Event Number as Invoice Number - This tells new invoices to use the event number that the invoice is referencing as the invoice number by default. This option can not be used in conjunction with "Use System Generated Invoice Number". One or the other or neither must be used.
16. Collapse Resource Charges by Default - This will collapse all nodes of the Invoice Details tree by default. The nodes can still be expanded by clicking on their triangle button. This is used when a facility generally only works with resource charges as a whole, rather than individual resource charges.
17. Autocreate Payment Records For Invoices - With this enabled, a payment record for the balance due of the invoice is autocreated for the invoice upon finalization. 17.b When this is selected, If the autocreated payment is not paid in full, a new payment record will be created for the amount still owed for the invoice.
18. Invoice Mail Subject - This is the default email subject used when sending invoices through email.
19. Invoice Mail Body - This is the default email body used when sending invoices through email.
20. Bill To Vertical Offset - This is used to adjust the spacing of the Bill To address to assist it positioning correctly for windowed envelopes.
21. Start Next Invoice At - In order to start invoices at a certain number, the desired number must be specified here. The apply button is then pressed to make the change. Starting invoice numbers must be greater than the last number used for an invoice. If an invalid number is specified and Apply is pressed, the box will fill with the last number in the system. If the new number was accepted it will show you the next number available for creation, which would be the number that was just entered.

start next invoice

Once all the desired options have been set, changes can be saved by pressing the check mark button check mark at the top of the window.
If it is desired to abort any new changes, the cancel button cancel, at the top of the window, can be pressed to revert back to the original values.


Event Detail Invoices Tab

In the financial tab of Event Detail on the right side, are three tabs. The bottom most tab, labeled "Invoices", will take you to the invoice section of Event Detail. In this section, simple quick invoice operations can be performed. If a detailed heavily modified invoice is desired, then use the Invoicing Form available from the main button bar; however, if a simple invoice using default charges is what is needed this is the fastest places to create it. Invoices can also be finalized, voided, recalculated and printed from this tab.


Billing Totals

The top section of this tab displays the totals for what has already been billed. Only the totals of finalized invoices, will show here. If a Draft invoice has been created, it's totals will not be reflected here until it has been finalized.

· Room - Shows the total room charges that have been billed.
· Equipment - Shows the total equipment charges that have been billed.
· Labor - Shows the total labor charges that have been billed.
· Meal - Shows the total meal charges that have been billed.
· Resource Total - This is the sum of Room, Equipment, Labor, and Meal charges.
· Other Charges - This shows any other amount that is not a Room, Equipment, Labor, or Meal charge.
· Total Billed - This is the sum of Resource Total and Other Charges.
· Total Paid - This is the sum of all payments received on this event.
· Balance Due - This is the difference between Total Billed and Total Paid.

Remember, only Final invoices' amounts will reflect in these totals.

Below the Billing Totals and above the Invoice Grid is the Create New Invoice For This Event button. This button can be used to create an invoice for this event using all the default values and not prompting for any other information. The invoice can then be used as is or edited further in the Invoicing Form. All new invoices are created with a Draft status. Before attempting to create an invoice, FASTbook will show a dialog asking if this is what is desired to be done.

Selecting "No" will cancel the invoice creation process. Selecting "Yes" will instruct FASTbook to investigate the event for any unbilled items, items that have had their charges changed, and/or items that were on previous invoices that have been voided and are not ready to be invoiced again. If nothing was found to place onto an invoice the following dialog will appear indicating that no items were available for billing.

If items were found, a Draft invoice is created and it is reflected in the Invoice Grid.


Invoice Grid

The Invoice Grid allows quick access to frequently used invoice functions and displays a list of invoices for the event that is currently displaying in Event Detail. On this grid, invoice status is not only displayed under the "Status" column, but also by the coloring of the line. Void invoices appear red and with a strike-out font. Draft invoices are green. Finalized invoices show in black. Double clicking on any invoice in this grid will bring up the Invoice Form with that invoice selected, and ready for editing.

The buttons on the right of each line allow quick actions to be performed on the invoice.

The first button, displayed with the lock, will finalize a Draft invoice. Finalizing an invoice locks in its current values and prevents it from being changed. If the Finalize button is pressed on an invoice that is in Draft status, a dialog box will appear asking whether or not this action is to be performed.

Selecting "No" will cancel the finalization. Selecting "Yes" will finalize the invoice. The Invoice Grid will then be refreshed to show the change in status.

The next button is the void button, displayed with a slashed red circle. This will void a Draft or Finalized invoice. If the Void button is pressed on a Draft or Finalized invoice, a dialog box will appear asking whether or not this action is to be performed.

Selecting "No" will cancel the void. Selecting "Yes" will proceed with voiding the invoice. A dialog box will then appear prompting for a reason for the void.

Selecting "Cancel" will abort the void and present a dialog informing that void reasons are required when voiding an invoice.

Entering a valid void reason, will enable FASTbook to proceed with the void. All the invoices charges will be again available for any new invoices. The Invoice Grid will then be refreshed to show the change in status.

The next button, displayed with the calculator, is the Recalculate button. This button can be used on Draft Invoices to remove all items (payment records, resource charges, and additional charges / discounts / taxes) and then add everything available back onto the invoice. This may be necessary to show charges that have been added or changed since you first made the invoice. Pressing the Recalculate button, will display a confirmation dialog asking whether the recalculation is to take place.

Selecting "No" will cancel the recalculation. Selecting "Yes" will proceed with recalculating the invoice. The Invoice Grid will then be refreshed to show the change in total, if any.

The last button is the print button, with the printer icon. This will print the invoice to the default printer. To print to a different printer, or to email the invoice, the print features on the Invoicing Form must be used. Pressing print will display a print dialog and the invoice will be printed.


Invoice Report

The invoice printout is the final product of invoice creation. This printout can be printed, saved to a file, emailed, or any combination of these.

In the picture below, the different parts of the printout are numbered. Following the picture are descriptions of each part.

1. Company Logo, Title, and Address - This displays the logo, company name and physical address. When a logo is not used the address and company name will shift to the left to take up the logo's space.
2. Invoice Header Information, Printout Title, Page Number Set, Invoice Number, Statement Date - This shows general information about the printout. The printout's title, such as Invoice or Credit Memo, the number of the printout, Statement Date, and Page Set. The Company Logo, Address, and Name, as well as the Invoice Header Information, print at the top of every page of the printout.
3. Bill To Address - This is the address the invoice is going to. This can be offset using Bill To Vertical Offset in Invoice Setup.
4. Remit To Address - This is the address that remittance to the invoice should be addressed.
5. Attention Line - This is the person at the Bill To address that this printout is marked attention to. This field is optional and can be disabled in Invoice Setup.
6. Notify Line - This is the person at the Remit To address who should be contacted for inquiries. This field is optional and can be disabled in Invoice Setup.
7. Event Information - This is general information about the event the invoice pertains to. This can be disabled in the Invoice Header tab.
8. Resource Charges - This is a section header describing the type of charges that are about to follow.
9. Accounting Codes - This is the accounting code for the line item. These can be enabled in Invoice Setup.
10. Section Breakout - This shows the sums of the different types of charges in the section. This can be disabled in the Invoice Header tab.
11. Section Total - This is the total of all charges for this section.

The next picture is also labeled with numbers and a description of each follows.

1. Other Event Charges / Discounts / Taxes - Other charges at the event level will be displayed in this section near the bottom of the invoice.
2. Invoice Totals - These are the cumulative totals for the entire event. Payments received are shown as well as the current balance due.
3. Invoice Footer - The Invoice Footer will display at the bottom of every page of the printout.

Additionally, Payment history can be enabled in the Invoice Header tab. This will show a history of all payments that apply to this invoice. This will print just below the Additional Invoice Information fields and before the Event Information section.

When a simple billing is required, all options can be disabled allowing for a simplistic printout.

Below is a picture of an invoice in, almost, its simplest form.


How-to

Here are some quick How-To's for commonly used features.

· How do I create an invoice?
· How do I finalize an invoice?
· How do I void an invoice?
· How do I recalculate an invoice?
· How do I print an invoice?
· How can I save an invoice to PDF format?
· How do I edit an existing Invoice?
· How do I email an invoice?
· How can I establish default charges for my invoices?
· How can I defer charges on an invoice?
· How can I create batches of invoices?
· How can I print multiple invoices at the same time?
· How can I edit my additional invoice charges on-the-fly?


Create an Invoice

How do I create an invoice?

Invoices can be created in three places: in Event Detail in the Invoices Grid, on the Invoices Tab of the Invoicing Form, and in the Batch Invoices Form.

If you wish to create an invoice on the Invoicing form, click here.

If you wish to create an invoice on the Event Detail form, click here.

If you wish to create an invoice in Batch Invoicing, click here.


From Within Invoicing

To create an invoice in the Invoicing form, go to the Invoices tab and click the create button. You will then be prompted to select a client and an event number of that client. If you wish to specify a date range you can do so, then click the create button to start the process. For more information, see the Invoices Tab section.


From Within Event Detail

To create an invoice from within Event Detail, go to the financial tab, and then to the invoices tab within the financial tab and click the create button. Answer "Yes" to the dialog asking if you wish to create an invoice. For more information, go to the Event Detail: Billing Totals section.


Finalize An Invoice

How do I finalize an invoice?

You can finalize an invoice in three places. In the Event Detail tab, on the Invoices Tab in the Invoicing Form, and on the Invoice Header Tab of the Invoicing Form.

To finalize an invoice in Event Detail, click here.

To finalize an invoice on the Invoices Tab in the Invoicing Form, click here.

To finalize an invoice on the Invoice Header Tab in the Invoice Form, click here.


From Within Event Detail

To finalize an invoice from Event Detail click on the Finalize button associated with the line of the invoice you wish to finalize. Answer "Yes" when prompted if you wish to finalize. For more information, see the Event Detail Invoice Grid section.


From the Invoices Tab

To finalize an invoice or invoices on the Invoices tab, click the check box in front of each item you wish to finalize and click the Finalize button. Answer "Yes" when prompted. For more information, see the Invoices Tab section.


From the Invoice Header Tab

To finalize an invoice in the Invoice Header tab, click your invoice in the invoice grid. Click the edit button which will take you into the Invoice Header tab. Click the Invoice Status drop down and select Final. Click on the check mark at the top of the screen to save the change. For more information, see the Invoice Header tab section.


Void an Invoice

How do I void an invoice?

You can void an invoice in three places. In the Event Detail tab, on the Invoices Tab in the Invoicing Form, and on the Invoice Header Tab of the Invoicing Form.

To void an invoice in Event Detail, click here.

To void an invoice on the Invoices Tab in the Invoicing Form, click here.

To void an invoice on the Invoice Header Tab in the Invoice Form, click here.


From Within Event Detail

To void an invoice from Event Detail click on the Void button associated with the line of the invoice you wish to void. Answer "Yes" when prompted if you wish to void. For more information, see the Event Detail Invoice Grid section.


From the Invoices Tab

To void an invoice or invoices on the Invoices tab, click the check box in front of each item you wish to void and click the Void button. Answer "Yes" when prompted. For more information, see the Invoices Tab section.


From the Invoice Header Tab

To void an invoice in the Invoice Header tab, click your invoice in the invoice grid. Click the edit button which will take you into the Invoice Header tab. Click the Invoice Status drop down and select Void. Click on the check mark at the top of the screen to save the change. For more information, see the Invoice Header tab section.


Recalculate an Invoice

How do I recalculate an invoice?

You can recalculate an invoice in three places. In the Event Detail tab, on the Invoices Details tab in the Invoicing Form, and on the Invoice Header Tab of the Invoicing Form.

To recalculate an invoice in Event Detail, click here.

To recalculate an invoice on the Invoice Details Tab in the Invoicing Form, click here.

To recalculate an invoice on the Invoice Header Tab in the Invoice Form, click here.


From Within Event Detail

To recalculate an invoice from Event Detail click on the Recalculate button associated with the line of the invoice you wish to recalculate. Answer "Yes" when prompted if you wish to recalculate the item. For more information, see the Event Detail Invoice Grid section.


From the Invoice Details Tab

To recalculate an invoice in the Invoice Details tab, click your invoice in the invoice grid. Click the edit button which will take you into the Invoice Header tab. Click the Invoice Details tab at the top of the form. Click the Recalculate All Items button at the bottom of the form. For more information, see the Invoice Details tab section.


From the Invoice Header Tab

To recalculate an invoice in the Invoice Header tab, click your invoice in the invoice grid. Click the edit button which will take you into the Invoice Header tab. Click the Recalculate All Items button at the bottom of the form. For more information, see the Invoice Header tab section.


Print an Invoice

How do I print an invoice?

You can print an invoice in three places. In the Event Detail tab, on the Invoicing Form, and on the Preview Tab of the Invoicing Form.

To print an invoice in Event Detail, click here.

To print an invoice on the Invoicing Form, click here.

To print an invoice on the Preview Tab in the Invoice Form, click here.


From Event Detail

To print an invoice from Event Detail click on the Print button associated with the line of the invoice you wish to print. For more information, see the Event Detail Invoice Grid section.


From the Invoicing Form

To print an invoice in the Invoicing Form, click your invoice in the invoice grid. Click the edit button which will take you into the Invoice Header tab and make this invoice your current working invoice. Click the print button at the top of the screen. For more information, see the Invoicing Form section.


From the Preview Tab

To print an invoice in the Preview Tab, click your invoice in the invoice grid on the Invoices Tab. Click the edit button which will take you into the Invoice Header tab and make this invoice your current working invoice. Click the Preview tab at the top of the window. Click the print button at the top left of the preview tab. For more information, see the Preview Tab section.


Save an Invoice to PDF

How can I save an invoice to PDF format?

You can save an invoice in PDF format just like any other report in FASTbook. Simply start to print the report, and in the dialog box select "Print to File" near the bottom of the form. You can then select PDF from the drop down and type in a file name. Press Print and the file will be created.


Edit An Existing Invoice

How do I edit an existing Invoice?

You can edit an invoice already in the system in one of two ways.

To edit an invoice while in Event Detail, click here.

To edit an invoice while in the Invoicing Form, click here.


From Event Detail

To edit an invoice from Event Detail double click on the line of the invoice you wish to edit. This will take you into the Invoicing form with that invoice currently ready for changes. For more information, see the Event Detail Invoice Grid section.


From the Invoicing Tab

To edit an invoice in the Invoicing tab, click your invoice in the invoice grid. Click the edit button which will take you into the Invoice Header tab. You can also double click the invoice in the grid. For more information, see the Invoice Tab section.


Email an Invoice

How do I email an invoice?

To email an invoice, open the invoice you wish to email in the Invoicing Form. Go to the Preview tab and click the email button. You will then be prompted for an email address and permitted to send the email. For more information, see Preview Tab Emailing an Invoice.


Establish Default Charges

How can I establish default charges for my invoices?

Default charges can be established in Invoice Setup. Simply check all the defaults that apply to each charge and save your changes. For more information, see the Invoice Setup Charges / Discounts / Taxes section.


Defer Charges

How can I defer charges on an invoice?

Charges are deferred by simply unchecking them in the Invoice Details tab on the Invoicing Form. For more information, see Invoice Details Tab section.


Batch Invoice Creation

How can I create batches of invoices?

In the Invoices tab, on the Invoicing Form, select the drop down on the Create button. Choose a method of batch invoice creation from the list. For more information, see the Invoices Tab (Batch Invoice by Date Range or Batch Invoice by Event Number) section.


Print Multiple Invoices

How can I print multiple invoices at the same time?

Multiple invoices can only be printed from the Invoices Tab of the Invoicing Form. While on that tab, check each invoice you want to print and then either click the print button, or select a menu item from the drop down on the print button. For more information, see the Invoices Tab.


Edit Charges On-The-Fly
Previous Top

How can I edit my additional invoice charges on-the-fly?

Charges / Discounts / Taxes can have their charges overridden on the Invoice Details tab of the Invoice Form. Simply click in the charge field twice to enter edit mode. Type in the new charge and press enter. For more information, see Invoice Details Adding and Removing Charges.